package labSolutions;

public class Leap {
	
	// return whether a given year is a leap year
	// assume the Gregorian calendar for any integer year

	public static boolean leapYear(int year) {
		return
			year % 4 == 0
			&&
			(! (year % 100 == 0)
					||		
					year % 400 == 0);
	}
	

	// compute the days in a given month (Jan is 1, Feb is 2 etc)
	// of a given year
	
	public static int daysInMonth(int month,int year) {
		int days = -1;
		switch (month) {
		case 4: case 6: case 9: case 11: 
			days = 30; break;
		case 1: case 3: case 5: case 7: case 8: case 10: case 12:
			days = 31; break;
		case 2: days = (leapYear(year)) ? 29 : 28; break;
		default: System.out.println("Error: wrong int for month");
		}
		return days;		
	}

}
